/*******************************************************************************
 
 
 	    FILE:	CriticalSDError.java
  
 	  AUTHOR:	Russell Lowke
 
 	   CLASS:	CSCIE-247, Assignment Three, 

 
 	 PURPOSE:	Exception Class for handling fatal error exceptions
 				These result in program termination and a print error
 				All fatal errors are printed in main(), and caught via  a
 				Reflection InvocationTargetException
 				  see Class ScheduleDriver catch (InvocationTargetException e) {
			
 	RELATION:	CriticalSDError is an Exception class that extends Exception.
 				It is thrown by all HolidayReaders and all CoursesReaders.
 	
	MODIFIED:	November 9th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/


package cscie247.asn3;

public class CriticalSDError extends Exception {

    /***************************************************************************
	*
    *	Standard CriticalSDError constructor.
    *
    */
	public CriticalSDError() {
		super("CriticalSDError exception thrown.");
    }
	
	
	/***************************************************************************
	*
    *	CriticalSDError constructor that accepts a message.
    *
    */
	public CriticalSDError(String mMessage) {
		super(mMessage);
    }
	
	
	/***************************************************************************
	*
    *	CriticalSDError constructor that accepts a message and lower level cause
    *
    */
	public CriticalSDError(String mMessage, Throwable mRootException) {
		super(mMessage, mRootException);
    }
	
	
	/***************************************************************************
	*
    *	CriticalSDError constructor that accepts root exception.
    *
    */
	public CriticalSDError(Throwable mRootException) {
		super(mRootException);
    }
}

