/*******************************************************************************
 
 
 	    FILE:	ReadFileError.java
  
 	  AUTHOR:	Russell Lowke
 
 	   CLASS:	CSCIE-247, Assignment Three, 

 
 	 PURPOSE:	Exception Class for handling nonfatal input error exceptions
 				usually associated with reading data from a file.
 				ReadFileError Exceptions thrown are usually appended to an error
 				string to be printed at end of execution.
 
 	RELATION:	ReadFileError is an Exception class that extends Exception.
 				Thrown by all HolidayReader.parseLine() and all
 				CoursesReader.parseLine()
 	
	MODIFIED:	November 9th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/


package cscie247.asn3;

public class ReadFileError extends Exception {


    /***************************************************************************
	*
    *	Standard ReadFileError constructor.
    *
    */
	public ReadFileError() {
		super("ReadFile exception thrown.");
    }
	
	
	/***************************************************************************
	*
    *	ReadFileError constructor that accepts a message.
    *
    */
	public ReadFileError(String mMessage) {
		super(mMessage);
    }
	
	
	/***************************************************************************
	*
    *	ReadFileError constructor that accepts a message and lower level cause.
    *
    */
	public ReadFileError(String mMessage, Throwable mRootException) {
		super(mMessage, mRootException);
    }
	
	
	/***************************************************************************
	*
    *	ReadFileError constructor that accepts root exception.
    *
    */
	public ReadFileError(Throwable mRootException) {
		super(mRootException);
    }
}

