/*******************************************************************************
 
 
 	    FILE:	SFScheduleWriter.java
  
 	  AUTHOR:	Russell Lowke
 
 	   CLASS:	CSCIE-247, Assignment Three, 

 
 	 PURPOSE:	Concrete ScheduleWriter for Simple File (SF)
				extends the abstract Class ScheduleWriter
 				Specifically handles output for the schedule in SF format.
		
 	RELATION:	SFScheduleWriter is a concrete factory that extends 
 				ScheduleWriter, which is created by SFScheduleFactory()
 	
	MODIFIED:	November 9th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/


package cscie247.asn3;

import java.util.*;


public class SFScheduleWriter extends ScheduleWriter {
	
	
	/***************************************************************************
    *
    *	Constructor: SFScheduleWriter 
	*
    */
	public SFScheduleWriter() {
		super();
	}
	
	
	/***************************************************************************
    *
    *	writeSchedule
	*
    * 		Specifically handles output for of schedule in SF format.
    *
	*	Note: Method Declaration in ScheduleWriter
    */
	protected void writeSchedule(ScheduleData mHolidayData,
									ArrayList mCoursesData,
									   String pErrors) throws CriticalSDError {
		
		// print the holidays, if any			(not required, but works well)
		// System.out.println(mHolidayData);
				
		// print the courses, if any
		Iterator e = mCoursesData.iterator();
		while(e.hasNext())
			System.out.println((ScheduleData) e.next());
		
		// print any read errors encountered
		if ( ! pErrors.equals("") )
			System.out.println("NONFATAL ERRORS:\n" + pErrors);

	}
}