/*******************************************************************************
 
 
 	    FILE:	XMLCourseReader.java
  
 	  AUTHOR:	Russell Lowke
 
 	   CLASS:	CSCIE-247, Assignment Three, 

 
	 PURPOSE:	Concrete CourseReader for Xtended Markup Language (XML)
				extends the abstract Class CourseReader
				Specifically handles course input for the schedule in XML format.
			
 	RELATION:	XMLCourseReader is a concrete factory that extends CourseReader,
 				it is created by XMLScheduleFactory()
 	
	MODIFIED:	November 9th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

 
package cscie247.asn3;

import java.util.*;
import java.io.*;


public class XMLCourseReader extends CourseReader {
	
	
	/***************************************************************************
    *
    *	Constructor: XMLCourseReader 
	*
    */
	public XMLCourseReader() {
		super();
	}
	
	
	/***************************************************************************
    *
    *	readCourses
    *
	*		STUB version.  Intentioned to read XML formatted file for students 
	*		course information
    *
    *	@return		An ArrayList [pCoursesList] of ScheduleData items for 
    *				each course.
	*
	*	Note: Method declaration in CourseReader
    */
    protected ArrayList readCourses(String mFile) throws CriticalSDError {
		pCourseReadErrors += "STUB ENCOUNTERED: Read XML Courses\n";	// stub
		// stub.
		return pCoursesList;
    }
	
	
	/***************************************************************************
    *
    *	parseLine
  	*
  	*		STUB version. Intentioned to parse strings recieved from readHolidays 
	*		[mLine] into ScheduleData types.
 	*
	*	@param mLine	String of content passed from readHolidays.
	*
	*	Note: Method declaration in CourseReader
    */
	protected void parseLine(String mLine) throws ReadFileError {
		//stub.
	}
}