/*******************************************************************************
 
 
 	    FILE:	XMLScheduleWriter.java
  
 	  AUTHOR:	Russell Lowke
 
 	   CLASS:	CSCIE-247, Assignment Three, 

 
 	 PURPOSE:	Concrete ScheduleWriter for Xtended Markup Language (XML)
				extends the abstract Class ScheduleWriter	
 				Specifically handles output of schedule in XML format.
	
 	RELATION:	XMLScheduleWriter is a concrete factory that extends 
 				ScheduleWriter, it is created by XMLScheduleFactory()
 	
	MODIFIED:	November 9th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

 
package cscie247.asn3;

import java.util.*;


public class XMLScheduleWriter extends ScheduleWriter {
	
	/***************************************************************************
    *
    *	Constructor: XMLScheduleWriter 
	*
    */
	public XMLScheduleWriter() {
		super();
	}
	
	
	/***************************************************************************
    *
    *	writeSchedule (STUB)
	*
    * 		Specifically handles output for of schedule in XML format.
    *
	*	Note: Method Declaration in ScheduleWriter
    */
	protected void writeSchedule(ScheduleData mHolidayData,
									ArrayList mCoursesData,
									   String pErrors) throws CriticalSDError {
	
		// print any read errors encountered
		if ( ! pErrors.equals("") )
			System.out.println("NONFATAL ERRORS:\n" + pErrors);
	}
}