/*******************************************************************************
 
 
 	    FILE:	ErrCritical.java
  
 	  AUTHOR:	Russell Lowke
 
 	   CLASS:	CSCIE-247, Assignment Three, 

 
 	 PURPOSE:	Exception Class for handling fatal error exceptions.
 				These result in program termination and a print error
 				All fatal errors are printed in main()
			
 	RELATION:	ErrCritical is an Exception class that extends Exception.
 	
	MODIFIED:	November 28th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/


package cscie247.distress;

public class ErrCritical extends Exception {

    /**																		   |
	*
    *	Standard ErrCritical constructor.
    *
    */
	public ErrCritical() {
		super("ErrCritical fatal exception thrown.");
    }
	
    
	/**																		   |
	*
    *	ErrCritical constructor that accepts a message.
    *
    */
	public ErrCritical(String mMessage) {
		super(mMessage);
    }
}

