/*******************************************************************************
 
 
 	    FILE:	ErrDistress.java
  
 	  AUTHOR:	Russell Lowke
     
 	   CLASS:	CSCIE-247, Assignment Four, 

 
 	 PURPOSE:	ErrDistress is an Exception class that extends Exception.
                It is used for all non-fatal Distress errors
				
ASSOCIATIONS:	Used as a standard non-fatal error by Distress package
 	
	MODIFIED:	November 28th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

public class ErrDistress extends Exception {

    /**																		   |
    *
    *	Standard ErrDistress constructor.
    *
    */
	public ErrDistress() {
		super("ErrDistress non-fatal exception thrown.");
    }
	
	
    /**																		   |
    * 
    *	ErrDistress constructor that accepts a message.
    *
	*	@param	String	Error message to be thrown
    */
	public ErrDistress(String mMessage) {
		super(mMessage);
    }
}

