/*******************************************************************************
 
 
 	    FILE:	MFUnit.java
  
 	  AUTHOR:	Russell Lowke
					built to a specification by Bill Robinson 
					(see "Solution for Assignment 2", November 7th 2003)
					
 	   CLASS:	CSCIE-247, Assignment Four, 

 
 	 PURPOSE:	This describes one unit in a multi-family property.  It is a
                little like a SingleFamily, but is not separately listable.
				
ASSOCIATIONS:	Owned by MultiFamily.  Has a method to allow traversal back
                to it's owning object.
 	
	MODIFIED:	November 28th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

public class MFUnit {

	private MultiFamily pObjContainer;		// MultiFamily Property that   
											//  contains this MFUnit
    private int			pUnitNumber;		// The designation of this unit in
                                            //  the multifamily
    private int			pNumberOfRooms;		// Total number of rooms, as in
                                            //  any property
    private int			pNumberOfBaths;		// Number of baths for this unit
    private double		pMonthlyRent;		// Current rent (dollars) for unit
    private int			pUnitSquareFeet;	// Living space in this unit
    private int			pNumberOfFloors;	// The number of floors in the unit 
                                            //  [This can be different from the 
                                            //  numberOfFloors in the 
                                            //  owningMultifamily]
    
    /**																		   |
    *
    *	MFUnit Constructor.
    *
    */
	public MFUnit(MultiFamily	mObjContainer,
				  int			mUnitNumber,
                  int			mNumberOfRooms,
                  int			mNumberOfBaths,
                  double		mMonthlyRent,
                  int			mUnitSquareFeet,
                  int			mNumberOfFloors) {
        
		pObjContainer   = mObjContainer;
        pUnitNumber 	= mUnitNumber;
        pNumberOfRooms  = mNumberOfRooms;
        pNumberOfBaths  = mNumberOfBaths;
        pMonthlyRent 	= mMonthlyRent;
        pUnitSquareFeet = mUnitSquareFeet;
        pNumberOfFloors = mNumberOfFloors;
    }
    
    
	/* 																		   |
	*			Accessors & Mutators
	*/

	public MultiFamily getContainer() {								// read only
		return pObjContainer;
	}
	
	public int getUnitNumber() {
        return pUnitNumber;
    }
	public void setUnitNumber(int mUnitNumber) {
        pUnitNumber = mUnitNumber;
    }
    
	public int  getNumberOfRooms() {
        return pNumberOfRooms;
    }
	public void setNumberOfRooms(int mNumberOfRooms) {
        pNumberOfRooms = mNumberOfRooms;
    }
    
	public int  getNumberOfBaths() {
        return pNumberOfBaths;
    }
	public void setNumberOfBaths(int mNumberOfBaths) {
        pNumberOfBaths = mNumberOfBaths;
    }
    
	public double getMonthlyRent() {
        return pMonthlyRent;
    }
	public void setMonthlyRent(double mMonthlyRent) {
        pMonthlyRent = mMonthlyRent;
    }
    
	public int  getUnitSquareFeet() {
        return pUnitSquareFeet;
    }
	public void setUnitSquareFeet(int mUnitSquareFeet) {
        pUnitSquareFeet = mUnitSquareFeet;
    }
    
	public int  getNumberOfFloors() {
        return pNumberOfFloors;
    }
	public void setNumberOfFloors(int mNumberOfFloors) {
        pNumberOfFloors = mNumberOfFloors;
    }
}