/*******************************************************************************
 
 
 	    FILE:	PropertyProfile.java
  
 	  AUTHOR:	Russell Lowke
					built to a specification by Bill Robinson 
					(see "Solution for Assignment 2", November 7th 2003)
					
 	   CLASS:	CSCIE-247, Assignment Four

 
 	 PURPOSE:	This is a compendium of information about a particular 
				PropertyProfile.
				
ASSOCIATIONS:	This is owned by a Realtor, and it should be possible to find
                the Realtor from the PropertyProfile object.
 	
	MODIFIED:	November 28th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

import java.util.*;


public class PropertyProfile {
	
	private User		   pObjContainer;		// reference to Container object
    private SearchCriteria pSearch;				// Assigned by system, read only


    /**																		   |
    *
    *	PropertyProfile Constructor.
    *
    */
	public PropertyProfile(User		mObjContainer,
                    SearchCriteria	mSearch) {
    
		pObjContainer	 = mObjContainer;
        pSearch			 = mSearch;

    }
    
    
	/* 																		   |
	*			Accessors & Mutators
	*/
    
	public User getContainer() {									// read only
		return pObjContainer;
	}
	public SearchCriteria getSearchCritera() {
		return pSearch;
	}
}