/*******************************************************************************
 
 
 	    FILE:	SearchItem.java
  
 	  AUTHOR:	Russell Lowke
					built to a specification by Bill Robinson 
					(see "Solution for Assignment 2", November 7th 2003)
					
 	   CLASS:	CSCIE-247, Assignment Four, 

 
 	 PURPOSE:	A wrapper for holding key-value "pairs" for the SearchCritera
				
ASSOCIATIONS:	Created by SearchCritera 
 	
	MODIFIED:	November 28th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

import java.util.*;

public class SearchItem {
    
    private String pVarName;			// name of variable being searched for
	private Object pMin;				// Minimum limit or matching value
	private Object pMax;				// Max limit, if any.
    
    /**																		   |
    *
    *	SearchItem Constructor.
    *
    */
	public SearchItem(String mVarName, Object mMin, Object mMax) {
		pVarName = mVarName;
		pMin	 = mMin;
		pMax	 = mMax;
    }
	
	
	/* 																		   |
	*			Accessors & Mutators
	*/
    
	public String getVarName() {									// read only
        return pVarName;
    }
	public Object getMin() {										// read only
        return pMin;
    }
	public Object getMax() {										// read only
        return pMax;
    }
}