/*******************************************************************************
 
 
 	    FILE:	TypeProperty.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Assignment Four, 

 
 	 PURPOSE:	Class to emulate enumeration for
	 
                enum userType = {MULTIFAMILY, SINGLEFAMILY, CONDOMINIUM};
				
ASSOCIATIONS:	Enumeration type
 	
	MODIFIED:	November 28th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

public final class TypeProperty implements java.io.Serializable {

    public static final TypeProperty MULTIFAMILY  = new TypeProperty();
	public static final TypeProperty SINGLEFAMILY = new TypeProperty();
	public static final TypeProperty CONDOMINIUM  = new TypeProperty();
    
    /**																		   |
    *
    *	UserType Constructor.
    *
    */
	private TypeProperty() {
    }
	
	/**																		   |
    * 
    *	Override the toString() method of java.lang.Object for printing 
    *	properties of this instance.
	*
    *	@return	String		string representation of enumeration type
    */
	public String toString() {
	
		String mReturn;
		
		mReturn = "";
	
		if (this == MULTIFAMILY)
			mReturn = "MULTIFAMILY";
		if (this == SINGLEFAMILY)
			mReturn = "SINGLEFAMILY";
		if (this == CONDOMINIUM)
			mReturn = "CONDOMINIUM";
			
		return mReturn;
	}
}