/*******************************************************************************
 
 
 	    FILE:	TypeUser.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Assignment Four, 

 
 	 PURPOSE:	Class to emulate enumeration for
	 
                enum userType = {CONSUMER, REALTOR, LENDER};
				
ASSOCIATIONS:	Enumeration type
 	
	MODIFIED:	November 28th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

public final class TypeUser implements java.io.Serializable {

    public static final TypeUser CONSUMER = new TypeUser();
	public static final TypeUser REALTOR  = new TypeUser();
	public static final TypeUser LENDER   = new TypeUser();
    
    
    /**																		   |
    *
    *	UserType Constructor.
    *
    */
	private TypeUser() {
    }
	
    
	/**																		   |
    * 
    *	Override the toString() method of java.lang.Object for printing 
    *	properties of this instance.
	*
    *	@return	String		string representation of enumeration type
    */
	public String toString() {
	
		String mReturn;
		
		mReturn = "";
	
		if (this == CONSUMER)
			mReturn = "CONSUMER";
		if (this == REALTOR)
			mReturn = "REALTOR";
		if (this == LENDER)
			mReturn = "LENDER";
			
		return mReturn;
	}
}