/*******************************************************************************
 
 
 	    FILE:	User.java
  
 	  AUTHOR:	Russell Lowke
					built to a specification by Bill Robinson 
					(see "Solution for Assignment 2", November 7th 2003)
					
 	   CLASS:	CSCIE-247, Assignment Four, 

 
 	 PURPOSE:	User is an abstract class that defines all the common attributes
                of the known system users.
				
ASSOCIATIONS:	Owned by Distress object, no direct association back to that.
 	
	MODIFIED:	November 28th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

import java.util.*;


public abstract class User {
    
	private TypeUser	pUserType;
    private String		pName;				// Full name of user 
                                            // (Should match name on creditcard)
    private String		pAddress;			// Number and street of user
                                            // (Should match the billing 
                                            //  address for the credit card)
    private String		pCityStateZip;		// City, State 5-digit zip
    private String		pLoginName;			// This is the user's id
    private String		pPin;				// Any 8-character string will do
    private String		pEmail;				// somename@someaddress
    private String		pCredotCardCo;		// We take Visa, MasterCard, 
                                            // and Amex
    private String		pCreditCardNumber;	// up to 25 digits, no hyphens


    /**																		   |
    *
    *	User Constructor.
    *
    */
	public User(TypeUser mUserType,
				String	 mName,
                String	 mAddress,
                String	 mCityStateZip,
                String	 mLoginName,
                String	 mPin, 
                String	 mEmail, 
                String	 mCredotCardCo, 
                String	 mCreditCardNumber) {
		
		pUserType		  = mUserType;
        pName			  = mName;
        pAddress		  = mAddress;
        pCityStateZip	  = mCityStateZip;
        pLoginName		  = mLoginName;
        pPin 			  = mPin;
        pEmail 			  = mEmail;
        pCredotCardCo 	  = mCredotCardCo;
        pCreditCardNumber = mCreditCardNumber;
    }
	
	
	/**																		   |
    * 
    *	Empty method declarations
    *	
    */
    public abstract Iterator list();
	public abstract void add(Object mObject) throws ErrDistress;
	public abstract void remove(Object mObject) throws ErrDistress;
	

	/* 																		   |
	*			Accessors & Mutators
	*/
	
	public TypeUser getUserType() {									// read only
		return pUserType; 									// avoids instanceof
                                             // allows quick dynamic referencing
	}
	
	public String getName() {
        return pName;
    }
	public void setName(String mName) {
        pName = mName;
    }
    
	public String getAddress() {
        return pAddress;
    }
	public void setAddress(String mAddress) {
        pAddress = mAddress;
    }
    
	public String getCityStateZip() {
        return pCityStateZip;
    }
	public void setCityStateZip(String mCityStateZip) {
        pCityStateZip = mCityStateZip;
    }
    
	public String getLoginName() {
        return pLoginName;
    }
	public void setLoginName(String mLoginName) {
        pLoginName = mLoginName;
    }
    
	public String getPin() {
        return pPin;
    }
	public void setPin(String mPin) {
        pPin = mPin;
    }
    
	public String getEmail() {
        return pEmail;
    }
	public void setEmail(String mEmail) {
        pEmail = mEmail;
    }
    
	public String getCredotCardCo() {
        return pCredotCardCo;
    }
	public void setCredotCardCo(String mCredotCardCo) {
        pCredotCardCo = mCredotCardCo;
    }
    
	public String getCreditCardNumber() {
        return pCreditCardNumber;
    }
	public void setCreditCardNumber(String mCreditCardNumber) {
        pCreditCardNumber = mCreditCardNumber;
    }
}