/*******************************************************************************
 
 
 	    FILE:	SearchItem.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Assignment Five

 
 	 PURPOSE:	A wrapper for holding key-value "pairs" for the SearchCritera
				
ASSOCIATIONS:	Created by SearchCritera 
 	
	MODIFIED:	December 14th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					f 	= "field", indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.asn5;

import java.util.*;

public class SearchItem implements java.io.Serializable {
    
    private String fVarName;			// name of variable being searched for
	private Object fMin;				// Minimum limit or matching value
	private Object fMax;				// Max limit, if any.
    
    /**																		   |
    *
    *	SearchItem Constructor.
    *
    */
	public SearchItem(String mVarName, Object mMin, Object mMax) {
		fVarName = mVarName;
		fMin	 = mMin;
		fMax	 = mMax;
    }
	
	
	/* 																		   |
	*			Accessors & Mutators
	*/
    
	public String getVarName() {									// read only
        return fVarName;
    }
	public Object getMin() {										// read only
        return fMin;
    }
	public Object getMax() {										// read only
        return fMax;
    }
}