/*******************************************************************************
 
 
 	    FILE:	TypeParking.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Assignment Five

 
 	 PURPOSE:	Class to emulate enumeration for  
                enum mortgageType = {OFFSTREET, NOTAVAIL, GARAGE};
				
ASSOCIATIONS:	Enumeration type
 	
	MODIFIED:	December 14th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					f 	= "field", indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.asn5;

import java.rmi.*;


public final class TypeParking implements TypeEnum, java.io.Serializable {
    
    public static final TypeParking OFFSTREET = new TypeParking(0);
	public static final TypeParking NOTAVAIL  = new TypeParking(1);
    public static final TypeParking GARAGE    = new TypeParking(2);
    
	private int fIndex;
        
    /**																		   |
    *
    *	TypeParking Constructor.
    *
    */
	private TypeParking(int mIndex) {
        fIndex = mIndex;
    }
	
    public int getIndex() {
        return fIndex;
    }
    
	/**																		   |
    * 
    *	Override the toString() method of java.lang.Object for printing 
    *	properties of this instance.
	*
    *	@return	String		string representation of enumeration type
    */

	public String toString() {
	
		String mReturn;
		
		mReturn = "";
	
		if (fIndex == 0)
			mReturn = "OFFSTREET";
		if (fIndex == 1)
			mReturn = "NOTAVAIL";
		if (fIndex == 2)
			mReturn = "GARAGE";
			
		return mReturn;
	}

}