/*******************************************************************************
 
 
 	    FILE:	TypeProperty.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Assignment Five

 
 	 PURPOSE:	Class to emulate enumeration for
	 
                enum userType = {MULTIFAMILY, SINGLEFAMILY, CONDOMINIUM};
				
ASSOCIATIONS:	Enumeration type
 	
	MODIFIED:	December 14th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					f 	= "field", indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.asn5;

import java.rmi.*;


public final class TypeProperty implements TypeEnum, java.io.Serializable {

    public static final TypeProperty MULTIFAMILY  = new TypeProperty(9);
	public static final TypeProperty SINGLEFAMILY = new TypeProperty(10);
	public static final TypeProperty CONDOMINIUM  = new TypeProperty(11);
    
	private int fIndex;
        
    /**																		   |
    *
    *	UserType Constructor.
    *
    */
	private TypeProperty(int mIndex) {
        fIndex = mIndex;
    }
	
    public int getIndex() {
        return fIndex;
    }
    
	/**																		   |
    * 
    *	Override the toString() method of java.lang.Object for printing 
    *	properties of this instance.
	*
    *	@return	String		string representation of enumeration type
    */
	public String toString() {
	
		String mReturn;
		
		mReturn = "";
	
		if (fIndex == 9)
			mReturn = "MULTIFAMILY";
		if (fIndex == 10)
			mReturn = "SINGLEFAMILY";
		if (fIndex == 11)
			mReturn = "CONDOMINIUM";
			
		return mReturn;
	}
    
}