/*******************************************************************************
 
 
 	    FILE:	User.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Assignment Five

 
 	 PURPOSE:	User is an abstract class that defines all the common attributes
                of the known system users.
				
ASSOCIATIONS:	Owned by Distress object, no direct association back to that.
 	
	MODIFIED:	December 14th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					f 	= "field", indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.asn5;

import java.util.*;

// remote interface must be public, otherwise client will get an error
// remote interface must extend the interface java.rmi.Remote

public interface User extends java.rmi.Remote {

    // each method must delare java.rmi.RemoteException in its throws clause
    
	public abstract Iterator list() throws java.rmi.RemoteException;
	public abstract void add(Object mObject) throws ErrDistress, java.rmi.RemoteException;
	public abstract void remove(Object mObject) throws ErrDistress, java.rmi.RemoteException;
    
    
	public TypeUser	getUserType() throws java.rmi.RemoteException;	
	public String	getName() throws java.rmi.RemoteException;
    public void		setName(String mName) throws java.rmi.RemoteException;
    public String	getAddress() throws java.rmi.RemoteException;
    public void		setAddress(String mAddress) throws java.rmi.RemoteException;
    public String	getCityStateZip() throws java.rmi.RemoteException;
    public void		setCityStateZip(String mCityStateZip) throws java.rmi.RemoteException;
    public String	getLoginName() throws java.rmi.RemoteException;
    public void		setLoginName(String mLoginName) throws java.rmi.RemoteException;
    public String	getPin() throws java.rmi.RemoteException;
    public void		setPin(String mPin) throws java.rmi.RemoteException;
    public String	getEmail() throws java.rmi.RemoteException;
    public void		setEmail(String mEmail) throws java.rmi.RemoteException;
    public String	getCredotCardCo() throws java.rmi.RemoteException;
    public void		setCredotCardCo(String mCredotCardCo) throws java.rmi.RemoteException;
    public String	getCreditCardNumber() throws java.rmi.RemoteException;
    public void		setCreditCardNumber(String mCreditCardNumber) throws java.rmi.RemoteException;
    
}