/*******************************************************************************
 
 
 	    FILE:	Condominium.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Final Project

 
 	 PURPOSE:	This extends the class Property.  It describes a condo.
				
ASSOCIATIONS:	None
 	
	MODIFIED:	February 28th 2004
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;
import java.util.*;

// remote interface must be public, otherwise client will get an error
// remote interface must extend the interface java.rmi.Remote

public interface Condominium extends java.rmi.Remote {

    // each method must delare java.rmi.RemoteException in its throws clause
    /*
	public Condominium (User		mObjContainer,
                        String		mAddress,
                        String		mCityStateZip,
                        int			mRooms,
                        double		mBaths,
                        int			mParking,
                        Date		mYearBuilt,
                        TypeParking	mParkingType,
                        double		mListingPrice,
                        int			mLivingSpace,
                        String		mSpecialFeatures,
                        String		mDescription,
                        int			mNumberOfFloors,
                        double		mCondoFee, 
                        int			mNumberOfUnits) throws java.rmi.Remote;
    */
    public boolean match(SearchCriteria mCriteria) throws DistressException, java.rmi.RemoteException;
    public boolean compare(String mVarName, Object mMin, Object mMax) throws java.rmi.RemoteException;

    
    
	/* 																		   |
	*			Accessors & Mutators
	*/
	
	public double  getCondoFee() throws java.rmi.RemoteException;
	public void setCondoFee(double mCondoFee) throws java.rmi.RemoteException;
	public int  getNumberOfUnits() throws java.rmi.RemoteException;
	public void setNumberOfUnits(int mNumberOfUnits) throws java.rmi.RemoteException;
}