/*******************************************************************************
 
 
 	    FILE:	PropertyProfile.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Final Project

 
 	 PURPOSE:	This is a compendium of information about a particular 
				PropertyProfile.
				
ASSOCIATIONS:	This is owned by a Realtor, and it should be possible to find
                the Realtor from the PropertyProfile object.
 	
	MODIFIED:	February 28th 2004
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

import java.util.*;

// remote interface must be public, otherwise client will get an error
// remote interface must extend the interface java.rmi.Remote

public interface PropertyProfile extends java.rmi.Remote {

    // each method must delare java.rmi.RemoteException in its throws clause
    
	// public PropertyProfile(User mObjContainer, SearchCriteria mSearch) throws java.rmi.RemoteException;
	public User getContainer() throws java.rmi.RemoteException;
	public SearchCriteria getSearchCritera() throws java.rmi.RemoteException;

}