/*******************************************************************************
 
 
 	    FILE:	SearchItem.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Final Project

 
 	 PURPOSE:	A wrapper for holding key-value "pairs" for the SearchCritera
				
ASSOCIATIONS:	Created by SearchCritera 
 	
	MODIFIED:	February 28th 2004
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

import java.util.*;

public class SearchItem implements java.io.Serializable {
    
    private String varName;			// name of variable being searched for
	private Object min;				// Minimum limit or matching value
	private Object max;				// Max limit, if any.
    
    /**																		   |
    *
    *	SearchItem Constructor.
    *
    */
	public SearchItem(String mVarName, Object mMin, Object mMax) {
		varName = mVarName;
		min	 = mMin;
		max	 = mMax;
    }
	
	
	/* 																		   |
	*			Accessors & Mutators
	*/
    
	public String getVarName() {									// read only
        return varName;
    }
	public Object getMin() {										// read only
        return min;
    }
	public Object getMax() {										// read only
        return max;
    }
}