/*******************************************************************************
 
 
 	    FILE:	PropertyProfileImpl.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Final Project

 
 	 PURPOSE:	This is a compendium of information about a particular 
				PropertyProfile.
				
ASSOCIATIONS:	This is owned by a Realtor, and it should be possible to find
                the Realtor from the PropertyProfile object.
 	
	MODIFIED:	February 28th 2004
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress.server;

import cscie247.distress.*;
import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;
import java.util.*;


public class PropertyProfileImpl extends UnicastRemoteObject 
                            implements PropertyProfile, java.io.Serializable {
	
	private User		   objContainer;		// reference to Container object
    private SearchCriteria search;				// Assigned by system, read only


    /**																		   |
    *
    *	PropertyProfileImpl Constructor.
    *
    */
	public PropertyProfileImpl(User mObjContainer,
                    SearchCriteria mSearch) throws java.rmi.RemoteException {
    
		objContainer	 = mObjContainer;
        search			 = mSearch;

    }
    
    
	/* 																		   |
	*			Accessors & Mutators
	*/
    
	public User getContainer() {									// read only
		return objContainer;
	}
	public SearchCriteria getSearchCritera() {
		return search;
	}
}