/*******************************************************************************
 
 
 	    FILE:	ScheduleWriter.java
  
 	  AUTHOR:	Russell Lowke
 
 	   CLASS:	CSCIE-247, Assignment Three, 

 
 	 PURPOSE:	Abstract Factory to create ScheduleWriters which target 
 	 			various platforms.
		
 	RELATION:	ScheduleWriter is a base abstract factory that is extended by
 				SFScheduleWriter, XMLScheduleWriter, and DBMSScheduleWriter 
 				classes
 				
	MODIFIED:	November 9th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

 
package cscie247.asn3;

import java.util.*;


public abstract class ScheduleWriter {
	
	/***************************************************************************
    *
    *	Constructor: ScheduleWriter 
	*
    */
	public ScheduleWriter() {
	}
	
	
	/***************************************************************************
    *
    *	Empty method declarations
	*
    */
	protected abstract void writeSchedule(ScheduleData mHolidayData,
										ArrayList mCoursesData, 
										String pErrors) throws CriticalSDError;
	
}