/*******************************************************************************
 
 
 	    FILE:	XMLHolidayReader.java
  
 	  AUTHOR:	Russell Lowke
 
 	   CLASS:	CSCIE-247, Assignment Three, 

 
 	 PURPOSE:	Concrete HolidayReader for Xtended Markup Language (XML)
 				extends the abstract Class HolidayReader
 				Specifically handles holiday input for the schedule in XML format.	
	
 	RELATION:	XMLHolidayReader is a concrete factory that extends HolidayReader,
 				it is created by XMLScheduleFactory()
 	
	MODIFIED:	November 9th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

 
package cscie247.asn3;

import java.util.*;
import java.io.*;

public class XMLHolidayReader extends HolidayReader {
	
	
	/***************************************************************************
    *
    *	Constructor: XMLHolidayReader 
	*
    */
	public XMLHolidayReader() {
		super();
	}
	
	
	/***************************************************************************
    *
    *	readHolidays
    *
    *		STUB version.  Intentioned to read XML formatted file for students 
    *		holiday information
    *
    *	@return		A ScheduleData type [pObjHolidayData] that contains
    *				holiday information
	*
	*	Note: Method declaration in HolidayReader
    */
    protected ScheduleData readHolidays(String mFile) throws CriticalSDError {
		pHolidayReadErrors += "STUB ENCOUNTERED: Read XML Holidays\n";	// stub
		return pObjHolidayData;
    }
	
	
	/***************************************************************************
    *
    *	parseLine
  	*
  	*		STUB version. Intentioned to convert strings recieved from readHolidays 
	*		[mLine] into Date types.
	*
	*	@param mLine	String of content passed from readHolidays.
	*
	*	Note: Method declaration in HolidayReader
    */
	protected void parseLine(String mLine) throws ReadFileError {
        // stub.
    }
}