/*******************************************************************************
 
 
 	    FILE:	ErrRegistration.java
  
 	  AUTHOR:	Russell Lowke
     
 	   CLASS:	CSCIE-247, Assignment Five

 
 	 PURPOSE:	ErrRegistration is an Exception class that extends Exception.
                It is used for non-fatal Distress errors caused by 
                user registeration.
				
ASSOCIATIONS:	Used as a standard non-fatal error by Distress package
 	
	MODIFIED:	December 14th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					f 	= "field", indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.asn5;


public class ErrRegistration extends Exception {

    /**																		   |
    *
    *	Standard ErrRegistration constructor.
    *
    */
	public ErrRegistration() {
		super("ErrRegistration non-fatal exception thrown.");
    }
	
	
    /**																		   |
    * 
    *	ErrRegistration constructor that accepts a message.
    *
	*	@param	String	Error message to be thrown
    */
	public ErrRegistration(String mMessage) {
		super(mMessage);
    }
}

