/*******************************************************************************
 
 
 	    FILE:	Property.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Assignment Five

 
 	 PURPOSE:	This is a compendium of information about a particular Property.
				
ASSOCIATIONS:	This is owned by a Realtor, and it should be possible to find
                the Realtor from the Property object.
 	
	MODIFIED:	December 14th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					f 	= "field", indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.asn5;

import java.util.*;

// remote interface must be public, otherwise client will get an error
// remote interface must extend the interface java.rmi.Remote

public interface Property extends java.rmi.Remote {

    // each method must delare java.rmi.RemoteException in its throws clause
    
	public abstract boolean match(SearchCriteria mCriteria) throws ErrDistress, java.rmi.RemoteException;   
        
	/* 																		   |
	*			Accessors & Mutators
	*/
	public TypeProperty getPropertyType() throws java.rmi.RemoteException;	
	public User			getObjContainer() throws java.rmi.RemoteException;	
	public String		getPropertyID() throws java.rmi.RemoteException;    
	public String		getAddress() throws java.rmi.RemoteException;
    public void			setAddress(String mAddress) throws java.rmi.RemoteException;    
	public String		getCityStateZip() throws java.rmi.RemoteException;
    public void			setCityStateZip(String mCityStateZip) throws java.rmi.RemoteException;    
	public int			getRooms() throws java.rmi.RemoteException;
    public void			setRooms(int mRooms) throws java.rmi.RemoteException;    
	public double		getBaths() throws java.rmi.RemoteException;
    public void			setBaths(double mBaths) throws java.rmi.RemoteException;    
	public int			getParking() throws java.rmi.RemoteException;
    public void			setParking(int mParking) throws java.rmi.RemoteException;    
	public Date			getYearBuilt() throws java.rmi.RemoteException;
    public void			setYearBuilt(Date mYearBuilt) throws java.rmi.RemoteException;    
	public TypeParking	getParkingType() throws java.rmi.RemoteException;
    public void			setParkingType(TypeParking mParkingType) throws java.rmi.RemoteException;
	public double		getListingPrice() throws java.rmi.RemoteException;
	public void			setListingPrice(double mListingPrice) throws java.rmi.RemoteException;
	public int			getLivingSpace() throws java.rmi.RemoteException;
	public void			setLivingSpace(int mLivingSpace) throws java.rmi.RemoteException;
	public String		getSpecialFeatures() throws java.rmi.RemoteException;
	public void			setSpecialFeatures(String mSpecialFeatures) throws java.rmi.RemoteException;
	public String		getDescription() throws java.rmi.RemoteException;
	public void			setDescription(String mDescription) throws java.rmi.RemoteException;
	public Date			getDateListed() throws java.rmi.RemoteException;
	public void			setDateListed(Date mDateListed) throws java.rmi.RemoteException;
	public int			getNumberOfFloors() throws java.rmi.RemoteException;
    public void			setNumberOfFloors(int mNumberOfFloors) throws java.rmi.RemoteException;
 }