/*******************************************************************************
 
 
 	    FILE:	SingleFamily.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Assignment Five

 
 	 PURPOSE:	This class extends Property.  It describes a single family
                home, typically with its own lot and other features.
				
ASSOCIATIONS:	None. 
 	
	MODIFIED:	December 14th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					f 	= "field", indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.asn5;

import cscie247.asn5.*;
import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;
import java.util.*;


// remote interface must be public, otherwise client will get an error
// remote interface must extend the interface java.rmi.Remote

public interface SingleFamily extends java.rmi.Remote {

    // each method must delare java.rmi.RemoteException in its throws clause
    /*
	public SingleFamily(User		mObjContainer,
                        String		mAddress,
                        String		mCityStateZip,
                        int			mRooms,
                        double		mBaths,
                        int			mParking,
                        Date		mYearBuilt,
                        TypeParking	mParkingType,
                        double		mListingPrice,
                        int			mLivingSpace,
                        String		mSpecialFeatures,
                        String		mDescription,
                        int			mNumberOfFloors,
                        int 		mLotSize) throws java.rmi.RemoteException;
                        */
                        
    public boolean match(SearchCriteria mCriteria) throws ErrDistress, java.rmi.RemoteException;
    public boolean compare(String mVarName, Object mMin, Object mMax) throws java.rmi.RemoteException;
	
	
	/* 																		   |
	*			Accessors & Mutators
	*/
	
	public int  getLotSize() throws java.rmi.RemoteException;
	public void setLotSize(int mLotSize) throws java.rmi.RemoteException;
}