/*******************************************************************************
 
 
 	    FILE:	PropertyProfileImpl.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Assignment Five

 
 	 PURPOSE:	This is a compendium of information about a particular 
				PropertyProfile.
				
ASSOCIATIONS:	This is owned by a Realtor, and it should be possible to find
                the Realtor from the PropertyProfile object.
 	
	MODIFIED:	December 14th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					f 	= "field", indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.asn5.server;

import cscie247.asn5.*;
import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;
import java.util.*;


public class PropertyProfileImpl extends UnicastRemoteObject 
                            implements PropertyProfile, java.io.Serializable {
	
	private User		   fObjContainer;		// reference to Container object
    private SearchCriteria fSearch;				// Assigned by system, read only


    /**																		   |
    *
    *	PropertyProfileImpl Constructor.
    *
    */
	public PropertyProfileImpl(User mObjContainer,
                    SearchCriteria mSearch) throws java.rmi.RemoteException {
    
		fObjContainer	 = mObjContainer;
        fSearch			 = mSearch;

    }
    
    
	/* 																		   |
	*			Accessors & Mutators
	*/
    
	public User getContainer() {									// read only
		return fObjContainer;
	}
	public SearchCriteria getSearchCritera() {
		return fSearch;
	}
}