/*************************************************
 *
 * Adapted from Java Examples In A Nutshell
 * by David Flanagan
 * Copyright 1997
 *************************************************/

package rmiexample;

import java.rmi.*;

/**
 * This simple class represents a monetary amount. This implementation
 * is really nothing more than a wrapper around an integer. it is a useful
 * mechanism to demonstrate that RMI can accept arbitrary non-String objects as
 * arguments and return them as values, as long as they are Serializable.
 * A more complete of this Funnymoney class might bear a serial number, a
 * digital signature, and other security features to
 * ensure that it is unique and non-forgable.
 */
 public class FunnyMoney implements java.io.Serializable {

  public int amount;
  public FunnyMoney(int amount) { this.amount = amount;
  }
}