/*************************************************
 *
 * Adapted from Java Examples In A Nutshell
 * by David Flanagan
 * Copyright 1997
 *************************************************/

package rmiexample;

import java.rmi.*;
import java.util.Vector;


 public interface RemoteBank extends Remote {
 /**
  * Open a new account, with the specified name and password
  */

 public void openAccount(String name, String password) throws RemoteException, BankingException;

  /**
   * Close the named account
   */

 public FunnyMoney closeAccount(String name, String password) throws RemoteException, BankingException;

   /**
    * Deposit money into the named account
    */
  public void deposit(String name, String password, FunnyMoney money) throws RemoteException, BankingException;

/**
 * Withdraw the specified amount of money in the named account
 */
public FunnyMoney withdraw(String name, String password, int amount) throws RemoteException, BankingException;

/**
 * Return the ammount of money in the named account
 */
public int getBalance(String name, String password) throws RemoteException, BankingException;

 /**
  * Return a Vector of Strings that list the transaction history of the named account.
  */

 public Vector getTransactionHistory(String name, String password) throws RemoteException, BankingException;

 }