package examples.hello;

import java.rmi.Naming;
import java.rmi.RemoteException;
import java.rmi.RMISecurityManager;

public class HelloServer {

    public HelloServer() {
    }

    public static void main(String args[]) { 

      // Create and install a security manager 
      if (System.getSecurityManager() == null) { 
	      System.setSecurityManager(new RMISecurityManager()); 
      }
      String portNumber = System.getProperty("PORTNUMBER", "1099");
      try { 
	      HelloImpl obj = new HelloImpl(); 
	    // Bind this object instance to the name "HelloServer" 
	      Naming.rebind("//localhost:"+portNumber+"/HelloServer", obj); 
	      System.out.println("HelloServer bound in registry"); 
      } catch (java.rmi.RemoteException re) { 
	        System.out.println("HelloImpl err: " + re.getMessage()); 
	        re.printStackTrace(); 
      } catch (java.net.MalformedURLException murle) {
	        System.out.println("HelloImpl err: " + murle.getMessage()); 
	        murle.printStackTrace();           
      }
    } 
}
