/*******************************************************************************
 
 
 	    FILE:	Consumer.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Final Project

 
 	 PURPOSE:	This represents someone who registers to search for a property,
                presumably to buy.  This extends the class User, and adds only
                one bit of information, the time-frame in which the Consumer
                might consider buying.
				
ASSOCIATIONS:	A Consumer can have zero or one PropertyProfile objects.
                [Note, a more liberal system might allow a user to have
                multiple names PropertyProfiles, such as "MyCambridgeDreamHome",
                so long as the user is willing to pay for them.]
 	
	MODIFIED:	February 28th 2004
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;
import java.util.*;


// remote interface must be public, otherwise client will get an error
// remote interface must extend the interface java.rmi.Remote

public interface Consumer extends User {

    // each method must delare java.rmi.RemoteException in its throws clause
    /*
	public Consumer(TypeUser mUserType,
					String 	 mName,
                    String	 mAddress,
                    String	 mCityStateZip,
                    String	 mLoginName,
                    String	 mPin, 
                    String	 mEmail, 
                    String	 mCredotCardCo, 
                    String	 mCreditCardNumber,
                    TypePurchasingTF mPurchasingTimeFrame) throws java.rmi.RemoteException;
                */


    public Iterator list() throws java.rmi.RemoteException;
    public void add(Object mObject) throws java.rmi.RemoteException;
    public void remove(Object mObject) throws java.rmi.RemoteException;

    
	/* 																		   |
	*			Accessors & Mutators
	*/
	
	public PropertyProfile getPropertyProfile() throws java.rmi.RemoteException;
	public void setPropertyProfile(PropertyProfile mPropertyProfile) throws java.rmi.RemoteException;
	public TypePurchasingTF  getPurchasingTimeFrame() throws java.rmi.RemoteException;
	public void setPurchasingTimeFrame(TypePurchasingTF mPurchasingTimeFrame) throws java.rmi.RemoteException;

}