/*******************************************************************************
 
 
 	    FILE:	CriticalException.java
  
 	  AUTHOR:	Russell Lowke
 
 	   CLASS:	CSCIE-247, Final Project

 
 	 PURPOSE:	Exception Class for handling fatal error exceptions.
 				These result in program termination and a print error
 				All fatal errors are printed in main()
			
 	RELATION:	CriticalException is an Exception class that extends Exception.
 	
	MODIFIED:	February 28th 2004
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

import java.util.*;

public class CriticalException extends Exception {

    /**																		   |
	*
    *	Standard CriticalException constructor.
    *
    */
	public CriticalException() {
		super("CriticalException fatal exception thrown.");
    }
	
    
	/**																		   |
	*
    *	CriticalException constructor that accepts a message.
    *
    */
	public CriticalException(String mMessage) {
		super(mMessage);
    }
}

