/*******************************************************************************
 
 
 	    FILE:	DateException.java
  
 	  AUTHOR:	Russell Lowke
     
 	   CLASS:	CSCIE-247, Final Project

 
 	 PURPOSE:	DateException is an Exception class that extends Exception.
                It is used when user trys to pass an invalid date that
                should be in form mmddyyyy
				
ASSOCIATIONS:	Used as a standard non-fatal error by Distress package
 	
	MODIFIED:	February 28th 2004
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

import java.util.*;

public class DateException extends Exception {

    /**																		   |
    *
    *	Standard DistressException constructor.
    *
    */
	public DateException() {
		super("DateException non-fatal exception due to bad date format.");
    }
	
	
    /**																		   |
    * 
    *	DistressException constructor that accepts a message.
    *
	*	@param	String	Error message to be thrown
    */
	public DateException(String mMessage) {
		super(mMessage);
    }
}

