/*******************************************************************************
 
 
 	    FILE:	DistressException.java
  
 	  AUTHOR:	Russell Lowke
     
 	   CLASS:	CSCIE-247, Final Project

 
 	 PURPOSE:	DistressException is an Exception class that extends Exception.
                It is used for all non-fatal Distress errors
				
ASSOCIATIONS:	Used as a standard non-fatal error by Distress package
 	
	MODIFIED:	February 28th 2004
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

import java.util.*;

public class DistressException extends Exception {

    /**																		   |
    *
    *	Standard DistressException constructor.
    *
    */
	public DistressException() {
		super("DistressException non-fatal exception thrown.");
    }
	
	
    /**																		   |
    * 
    *	DistressException constructor that accepts a message.
    *
	*	@param	String	Error message to be thrown
    */
	public DistressException(String mMessage) {
		super(mMessage);
    }
}

