/*******************************************************************************
 
 
 	    FILE:	Realtor.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Final Project

 
 	 PURPOSE:	This represents an individual realtor who has properties for
                which they represent the seller.  Class Realtor extends class
                User, and adds the name of the agency, if any.
				
ASSOCIATIONS:	A Realtor owns a collection of PropertyListings.
 	
	MODIFIED:	February 28th 2004
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;
import java.util.*;


// remote interface must be public, otherwise client will get an error
// remote interface must extend the interface java.rmi.Remote

public interface Realtor extends User {

    // each method must delare java.rmi.RemoteException in its throws clause
    /*
	public Realtor(TypeUser mUserType,
				   String	mName,
                   String	mAddress,
                   String	mCityStateZip,
                   String	mLoginName,
                   String	mPin, 
                   String	mEmail, 
                   String	mCredotCardCo, 
                   String	mCreditCardNumber,
                   String	mAgency) throws java.rmi.RemoteException;
                   */

    public Iterator list() throws java.rmi.RemoteException;		// BAD FOR RMI???
    public void add(Object mObject) throws DistressException, java.rmi.RemoteException;
    public void remove(Object mObject) throws DistressException, java.rmi.RemoteException;

        
	/* 																		   |
	*			Accessors & Mutators
	*/

	public TypeUser getUserType() throws java.rmi.RemoteException;
	public String getAgency() throws java.rmi.RemoteException;
	public void setAgency(String mAgency) throws java.rmi.RemoteException;
	public ArrayList getProperties() throws java.rmi.RemoteException;
	public void setProperties(ArrayList mProperties) throws java.rmi.RemoteException;
}