/*******************************************************************************
 
 
 	    FILE:	RegistrationException.java
  
 	  AUTHOR:	Russell Lowke
     
 	   CLASS:	CSCIE-247, Final Project

 
 	 PURPOSE:	RegistrationException is an Exception class that extends Exception.
                It is used for non-fatal Distress errors caused by 
                user registeration.
				
ASSOCIATIONS:	Used as a standard non-fatal error by Distress package
 	
	MODIFIED:	February 28th 2004
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;


public class RegistrationException extends Exception {

    /**																		   |
    *
    *	Standard RegistrationException constructor.
    *
    */
	public RegistrationException() {
		super("RegistrationException non-fatal exception thrown.");
    }
	
	
    /**																		   |
    * 
    *	RegistrationException constructor that accepts a message.
    *
	*	@param	String	Error message to be thrown
    */
	public RegistrationException(String mMessage) {
		super(mMessage);
    }
}

