/*******************************************************************************
 
 
 	    FILE:	TypePurchasingTF.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Final Project

 
 	 PURPOSE:	Class to emulate enumeration for  
                enum mortgageType
                            = {WITHINTWOMONTHS, THREETOSIXMONTHS, JUSTLOOKING};
				
ASSOCIATIONS:	Enumeration type
 	
	MODIFIED:	February 28th 2004
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

import java.rmi.*;


public final class TypePurchasingTF implements TypeEnum, java.io.Serializable {
    
    public static final TypePurchasingTF WITHINTWOMONTHS  = new TypePurchasingTF(6);
	public static final TypePurchasingTF THREETOSIXMONTHS = new TypePurchasingTF(7);
    public static final TypePurchasingTF JUSTLOOKING      = new TypePurchasingTF(8);
    
    private int index;
    
    /**																		   |
    *
    *	UserType Constructor.
    *
    */
	private TypePurchasingTF(int mIndex) {
        index = mIndex;
    }
	
    public int getIndex() {
        return index;
    }
    
	/**																		   |
    * 
    *	Override the toString() method of java.lang.Object for printing 
    *	properties of this instance.
	*
    *	@return	String		string representation of enumeration type
    */
    
	public String toString() {
	
		String mReturn;
		
		mReturn = "";
	
		if (index == 6)
			mReturn = "WITHINTWOMONTHS";
		if (index == 7)
			mReturn = "THREETOSIXMONTHS";
		if (index == 8)
			mReturn = "JUSTLOOKING";
			
		return mReturn;
	}
}