/*******************************************************************************
 
 
 	    FILE:	TypeUser.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Final Project

 
 	 PURPOSE:	Class to emulate enumeration for
	 
                enum userType = {CONSUMER, REALTOR, LENDER};
				
ASSOCIATIONS:	Enumeration type
 	
	MODIFIED:	February 28th 2004
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

import java.rmi.*;


public final class TypeUser implements TypeEnum, java.io.Serializable {

    public static final TypeUser CONSUMER = new TypeUser(3);
	public static final TypeUser REALTOR  = new TypeUser(4);
	public static final TypeUser LENDER   = new TypeUser(5);
    
    private int index;
    
    /**																		   |
    *
    *	UserType Constructor.
    *
    */
	private TypeUser(int mIndex) {
        index = mIndex;
    }
	
    public int getIndex() {
        return index;
    }
    
	/**																		   |
    * 
    *	Override the toString() method of java.lang.Object for printing 
    *	properties of this instance.
	*
    *	@return	String		string representation of enumeration type
    */

	public String toString() {
	
		String mReturn;
		
		mReturn = "";
	
		if (index == 3)
			mReturn = "CONSUMER";
		if (index == 4)
			mReturn = "REALTOR";
		if (index == 5)
			mReturn = "LENDER";
			
		return mReturn;
	}
}